function sure-set-token
  set -x PRIVATE_REPO_TOKEN "$(aws codeartifact get-authorization-token --domain sure --query authorizationToken --output text --profile registries-read)"
  set -x CODEARTIFACT_AUTH_TOKEN "$PRIVATE_REPO_TOKEN"
  poetry config http-basic.codeartifact aws $PRIVATE_REPO_TOKEN
  aws codeartifact login --namespace sureapp --tool npm --repository npm --domain sure --domain-owner 348777858795 --profile registries-read
end
